Subject: [netmod] Fwd: New Version Notification for draft-vassilev-netmod-yang-direct-must-augment-ext-00.txt

From: Vladimir Vassilev <[email-masked]>
Date: Sat, 13 Jun 2015 10:22:39 +0200

Hi,

I submitted this draft documenting an extension which allows augment to 
directly add must sub-statements to existing target nodes. The extension 
enables data model authors to write in YANG some of the more complex 
valid data constraints in the cases where it is impossible to write them 
without the flexibility it provides.

I would like to request your comments on the proposed draft.

/Vladimir

-------- Forwarded Message --------
Subject: 	New Version Notification for 
draft-vassilev-netmod-yang-direct-must-augment-ext-00.txt
Date: 	Fri, 12 Jun 2015 13:05:09 -0700
From: 	[email-masked]
To: 	Vladimir Vassilev <[email-masked]>, Vladimir Vassilev 
<[email-masked]>

A new version of I-D, draft-vassilev-netmod-yang-direct-must-augment-ext-00.txt
has been successfully submitted by Vladimir Vassilev and posted to the
IETF repository.

Name:		draft-vassilev-netmod-yang-direct-must-augment-ext
Revision:	00
Title:		YANG Direct Must Augment Extension
Document date:	2015-06-12
Group:		Individual Submission
Pages:		16
URL:            https://www.ietf.org/internet-drafts/draft-vassilev-netmod-yang-direct-must-augment-ext-00.txt
Status:         https://datatracker.ietf.org/doc/draft-vassilev-netmod-yang-direct-must-augment-ext/
Htmlized:       https://tools.ietf.org/html/draft-vassilev-netmod-yang-direct-must-augment-ext-00

Abstract:
    This document introduces new YANG extension statement for assignment
    of must sub-statements to existing data nodes through augment without
    the requirement for a parent data node containing the must statement.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat